Skip to Content
HallolaraDocs
Public APICalls & recordings

Get a call with transcript, analyses, and notes

GET
/calls/{call_id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the Hallolara dashboard (Settings → API Keys).

Path Parameters

call_id*string
Match^[a-f0-9]{24}$

Response Body

The call.

application/json
  1. response
data?
Example Request
curl -X GET 'https://api.hallolara.ai/api/v1/calls/65f8fa6f1a9d8e0012ab34cd'
Example Response
{  "data": {    "id": "string",    "assistant_id": "string",    "assistant_name": "string",    "assistant_phone": "string",    "direction": "inbound",    "source": "inbound_phone",    "phone_number": "string",    "duration_seconds": 0,    "done": true,    "success": true,    "language": "string",    "started_at": "2019-08-24T14:15:22Z",    "ended_at": "2019-08-24T14:15:22Z",    "connection": null,    "created_at": "2019-08-24T14:15:22Z",    "transcript": [      {        "role": "string",        "content": "string",        "timestamp": "2019-08-24T14:15:22Z",        "tool_calls": [          {            "id": "string",            "name": "string",            "arguments": "string"          }        ],        "tool_call_id": "string"      }    ],    "analyses": [      {        "id": "string",        "name": "string",        "status": "string",        "body_result": {},        "started_at": "2019-08-24T14:15:22Z",        "completed_at": "2019-08-24T14:15:22Z"      }    ],    "notes": [      {        "id": "string",        "content": "string",        "author_id": "string",        "author_name": "string",        "created_at": "2019-08-24T14:15:22Z"      }    ],    "recording": {      "available": true,      "format": "string",      "mime_type": "string",      "duration_ms": 0,      "size_bytes": 0    },    "mailbox_detection": null  }}